Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 69743 - speex 1.1.4 incompatible with 1.0.* and >1.1.5 - suggest removing 1.1.4
Summary: speex 1.1.4 incompatible with 1.0.* and >1.1.5 - suggest removing 1.1.4
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: media-video herd
URL: http://www.speex.org
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-01 10:47 UTC by Tony Murray
Modified: 2004-11-03 11:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Murray 2004-11-01 10:47:34 UTC
compilation works for me with +oggvorbis and +speex and wvstreams-3.75,libogg-1.1.2,libvorbis-1.1.0,speex-1.1.6.

I edited the ebuild to make wvstreams depend on speex>=1.0, because it was going to <=1.0 before.  So portage was ping-ponging back and forth between 1.0 and 1.1.6 every update. See bug #45797 for details on why this was done in the first place.

Looking at the speex website, this seems to be an issue with speex 1.1.4.  Here is the changelog from 1.1.5 "The main change in this release is that the 1.1.5 API and ABI are now compatible with 1.0.x. The versions of the functions taking a short* now have an "_int" suffix, as in speex_encode_int()."

So, if we just block speex-1.1.4 in combination with this ebuild, or remove it from portage all together if possible.

Thanks.
Comment 1 Tony Murray 2004-11-01 11:34:29 UTC
Looking at kdemultimedia, this should work.

speex? (media-libs/speex !=media-libs/speex-1.1.4)

Should speex be in the oggvorbis use flag?, (speex doesn't rely on ogg or vorbis).
Comment 2 Daniel Black (RETIRED) gentoo-dev 2004-11-02 01:07:28 UTC
Tony - I changed the dependancy as you requested.

Media-video - I think its work removing speex 1.1.4 to avoid and further problems. Assigned to you for your consideration.
Comment 3 Tony Murray 2004-11-02 01:58:56 UTC
Thanks Daniel, looks good for me.

Leaving bug open until we get a ping from media-video about removing the speex-1.1.4.ebuild.
Comment 4 Patrick Kursawe (RETIRED) gentoo-dev 2004-11-03 01:42:52 UTC
Removed, thanks.
Comment 5 Tony Murray 2004-11-03 11:16:34 UTC
Yep, thanks guys.